Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# FrameRateMeter Class Reference

This is a special TextNode that automatically updates itself with the current frame rate. More...

Inheritance diagram for FrameRateMeter:

List of all members.

## Public Member Functions
| FrameRateMeter (string name)
| clearWindow ()
| Undoes the effect of a previous call to setup_window().
ClockObject | getClockObject ()
| Returns the clock that is used to determine the frame rate.
DisplayRegion | getDisplayRegion ()
| Returns the DisplayRegion that the meter has created to render itself into the window to setup_window(), or NULL if setup_window() has not been called.
string | getTextPattern ()
| Returns the sprintf() pattern that is used to format the text.
double | getUpdateInterval ()
| Returns the number of seconds that will elapse between updates to the frame rate indication.
GraphicsOutput | getWindow ()
| Returns the GraphicsOutput that was passed to setup_window(), or NULL if setup_window() has not been called.
| setClockObject (ClockObject clock_object)
| Sets the clock that is used to determine the frame rate.
| setTextPattern (string text_pattern)
| Sets the sprintf() pattern that is used to format the text.
| setUpdateInterval (double update_interval)
| Specifies the number of seconds that should elapse between updates to the frame rate indication.
| setupWindow (GraphicsOutput window)
| Sets up the frame rate meter to create a DisplayRegion to render itself into the indicated window.
| update ()
| You can call this to explicitly force the FrameRateMeter to update itself with the latest frame rate information.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is a special TextNode that automatically updates itself with the current frame rate.

It can be placed anywhere in the world where you'd like to see the frame rate.

It also has a special mode in which it may be attached directly to a channel or window. If this is done, it creates a DisplayRegion for itself and renders itself in the upper-right-hand corner.

## Constructor & Destructor Documentation

FrameRateMeter | ( | string | name | ) |

## Member Function Documentation

clearWindow | ( |  | ) |

Undoes the effect of a previous call to setup_window().

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from TextNode.

ClockObject getClockObject | ( |  | ) |

Returns the clock that is used to determine the frame rate.

DisplayRegion getDisplayRegion | ( |  | ) |

Returns the DisplayRegion that the meter has created to render itself into the window to setup_window(), or NULL if setup_window() has not been called.

string getTextPattern | ( |  | ) |

Returns the sprintf() pattern that is used to format the text.

double getUpdateInterval | ( |  | ) |

Returns the number of seconds that will elapse between updates to the frame rate indication.

GraphicsOutput getWindow | ( |  | ) |

Returns the GraphicsOutput that was passed to setup_window(), or NULL if setup_window() has not been called.

setClockObject | ( | ClockObject | clock_object | ) |

Sets the clock that is used to determine the frame rate.

The default is the application's global clock (ClockObject.get_global_clock()).

setTextPattern | ( | string | text_pattern | ) |

Sets the sprintf() pattern that is used to format the text.

The string "%f" or some variant will be replaced with the current frame rate in frames per second.

setUpdateInterval | ( | double | update_interval | ) |

Specifies the number of seconds that should elapse between updates to the frame rate indication.

This should be reasonably slow (e.g. 0.2 to 1.0) so that the calculation of the frame rate text does not itself dominate the frame rate.

setupWindow | ( | GraphicsOutput | window | ) |

Sets up the frame rate meter to create a DisplayRegion to render itself into the indicated window.

update | ( |  | ) |

You can call this to explicitly force the FrameRateMeter to update itself with the latest frame rate information.

Normally, it is not necessary to call this explicitly.

Reimplemented from TextNode.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties